## rust-unicode-joining-type 1.0.0

=== Makefile ===
UCD:=16.0.0

tables:
	yeslogic-ucd-generate joining-group --rust-enum ../ucd-generate/ucd-$(UCD) > src/joining_group_tables.rs
	yeslogic-ucd-generate joining-type --rust-enum ../ucd-generate/ucd-$(UCD) > src/joining_type_tables.rs
	cargo fmt


.PHONY: tables

=== debian/changelog ===
rust-unicode-joining-type (1.0.0-1) unstable; urgency=medium

  * Package unicode-joining-type 1.0.0 from crates.io using debcargo 2.7.8

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 12 Mar 2025 17:32:18 -0300

=== debian/control ===
Source: rust-unicode-joining-type
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/unicode-joining-type]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/unicode-joining-type
Homepage: https://github.com/yeslogic/unicode-joining-type
X-Cargo-Crate: unicode-joining-type
Rules-Requires-Root: no

Package: librust-unicode-joining-type-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-unicode-joining-type+default-dev (= ${binary:Version}),
 librust-unicode-joining-type-1-dev (= ${binary:Version}),
 librust-unicode-joining-type-1+default-dev (= ${binary:Version}),
 librust-unicode-joining-type-1.0-dev (= ${binary:Version}),
 librust-unicode-joining-type-1.0+default-dev (= ${binary:Version}),
 librust-unicode-joining-type-1.0.0-dev (= ${binary:Version}),
 librust-unicode-joining-type-1.0.0+default-dev (= ${binary:Version})
Description: Fast lookup of the Unicode Joining Type and Joining Group properties - Rust source code
 Source code for Debianized Rust crate "unicode-joining-type"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-joining-type 1.0.0 --all-targets --all-features
Features: test-name=rust-unicode-joining-type:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-joining-type 1.0.0 --all-targets
Features: test-name=librust-unicode-joining-type-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-joining-type 1.0.0 --all-targets --no-default-features
Features: test-name=librust-unicode-joining-type-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/unicode-joining-type-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/unicode-joining-type .*/crates/unicode-joining-type/@ANY_VERSION@/download
